Name:           yuzu
Version:        1684
Release:        1%{?dist}
Summary:        Nintendo Switch Emulator
License:        GPLv3
URL:            https://github.com/yuzu-emu/yuzu
Source0:        https://github.com/yuzu-emu/yuzu-mainline/releases/download/mainline-0-1684/yuzu-linux-20240117-41b6b5833-source.tar.xz
Patch0:         https://pagure.io/Yuzu/raw/master/f/sdl2-version.diff

BuildRequires: gcc cmake clang
BuildRequires: SDL2-devel autoconf boost-devel ccache cmake fmt-devel gcc gcc-c++ git
BuildRequires: glslang hidapi-devel json-devel libtool libusb1-devel libzstd-devel
BuildRequires: lz4-devel nasm ninja-build openssl-devel pulseaudio-libs-devel
BuildRequires: qt5-linguist qt5-qtbase-devel qt5-qtbase-private-devel qt5-qtwebengine-devel
BuildRequires: qt5-qtmultimedia-devel speexdsp-devel vcpkg wayland-devel zlib-devel ffmpeg-free-devel
Requires: SDL2
Requires: boost-context
Requires: fmt
Requires: libdrm
Requires: libusbx
Requires: libva
Requires: libzstd
Requires: lz4
Requires: opus
Requires: pulseaudio-libs
Requires: qt5-qtbase
Requires: qt5-qtmultimedia
Requires: zlib

%description
yuzu is the world's most popular, open-source, Nintendo Switch emulator — started by the creators of Citra.
It is written in C++ with portability in mind, and we actively maintain builds for Windows and Linux.

%prep
tar xf %{_sourcedir}/yuzu-linux-20240117-41b6b5833-source.tar.xz
cd yuzu-linux-20240117-41b6b5833-source
%patch -P 0
git submodule update --init --recursive

%build
cd yuzu-linux-20240117-41b6b5833-source
# Clear fc36+ compile flags
unset CFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS
cmake . -B build -G Ninja \
    -DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} \
    -DENABLE_COMPATIBILITY_LIST_DOWNLOAD=ON \
    -DENABLE_QT_TRANSLATION=ON \
    -DUSE_DISCORD_PRESENCE=OFF \
    -DDISPLAY_VERSION="mainline-0-1684" \
    -DYUZU_TESTS=OFF \
    -DYUZU_USE_BUNDLED_SDL2=OFF \
    -DYUZU_USE_EXTERNAL_SDL2=OFF \
    -DYUZU_USE_BUNDLED_VCPKG=ON
ninja -C build \
    yuzu yuzu-cmd \
    %{?_smp_mflags}

%install
cd yuzu-linux-20240117-41b6b5833-source
ninja -C build install
rm -rf \
    %{buildroot}/usr/include/tsl \
    %{buildroot}/usr/share/cmake/tsl-robin-map \
    %{buildroot}/usr/include/xbyak \
    %{buildroot}/usr/lib64/cmake/xbyak

%files
%{_bindir}/yuzu
%{_bindir}/yuzu-cmd
%{_bindir}/yuzu-room
%{_datarootdir}/applications/org.yuzu_emu.yuzu.desktop
%{_datarootdir}/icons/hicolor/scalable/apps/org.yuzu_emu.yuzu.svg
%{_datarootdir}/metainfo/org.yuzu_emu.yuzu.metainfo.xml
%{_datarootdir}/mime/packages/org.yuzu_emu.yuzu.xml

%license yuzu-linux-20240117-41b6b5833-source/LICENSE.txt yuzu-linux-20240117-41b6b5833-source/LICENSES/*
